package amigosStruts.beans;

import java.util.*;
import amigosStruts.Constantes;

public class Usuario {
   private String login;
   private String password;
   private boolean varon;
   private Date fechaNac;
   private String localidad;
   private String descripcion;
   
   	
   /**
	* @return
	*/
   public String getDescripcion() {
	   return descripcion;
   }


   public int getEdad() {
	  long ms;
	  
	  ms = new Date().getTime() - fechaNac.getTime();
	  return (int)(ms/Constantes.MS_ANYO);

   }

	/**
	 * @return
	 */
	public Date getFechaNac() {
		return fechaNac;
	}
	
	/**
	 * @return
	 */
	public String getLocalidad() {
		return localidad;
	}
	
	/**
	 * @return
	 */
	public String getLogin() {
		return login;
	}
	
	/**
	 * @return
	 */
	public String getPassword() {
		return password;
	}
	
	
	public String getSexoCad() {
		if (isVaron())
		   return "Hombre";
		else
		   return "Mujer";
	}
	
	/**
	 * @return
	 */
	public boolean isVaron() {
		return varon;
	}
	
	/**
	 * @param string
	 */
	public void setDescripcion(String string) {
		descripcion = string;
	}

	/**
	 * @param date
	 */
	public void setFechaNac(Date date) {
		fechaNac = date;
	}



	/**
	 * @param string
	 */
	public void setLocalidad(String string) {
		localidad = string;
	}
	
	/**
	 * @param string
	 */
	public void setLogin(String string) {
		login = string;
	}
	
	/**
	 * @param string
	 */
	public void setPassword(String string) {
		password = string;
	}
	
	/**
	 * @param b
	 */
	public void setVaron(boolean b) {
		varon = b;
	}
	
	public void setSexoCad(String sexoCad) {
	   if (sexoCad.equalsIgnoreCase("hombre"))
	      varon = true;
	   else
	      varon = false;	
	}

}