package amigosStruts.datos;

import java.sql.*;
import amigosStruts.*;

public class FuenteDatos  {

   //constantes para poder acceder a la BD
   //Se deberan poner en un fichero aparte, pero esta es la versin cutre
   private static final String nomDriver = "com.mysql.jdbc.Driver";
   private static final String urlBD = "jdbc:mysql://localhost/amigosJ2EE";
   private static final String user="admin";
   private static final String password="admin";
   
   
   private static FuenteDatos fuente;
   private Connection conexion;
   
   
   public static FuenteDatos obtFuente() throws BDException {
	  if (fuente==null) 
		 fuente = new FuenteDatos();
	  return fuente;
   }
   
   private FuenteDatos() throws BDException {
   	  try {
	     Class.forName(nomDriver);
   	  }
   	  catch(ClassNotFoundException e) {
   	     throw new BDException("No se encuentra el driver de la B.D", e);	   	
   	  }
   	  try {
   	     conexion = DriverManager.getConnection(urlBD, user, password);
   	  }
   	  catch(SQLException se) {
   	  	 throw new BDException("No se puede conectar con la B.D.", se);
   	  }   
   }
   
   public Connection obtConexion() {
	  return conexion;
   }   
               		
}