package amigosStruts.acciones;

import amigosStruts.negocio.UsuarioDelegate;
import amigosStruts.beans.Usuario;
import org.apache.struts.action.*;
import javax.servlet.http.*;
import java.text.*;
import java.util.*;

public class AccionRegistro extends Action {
	
	
   public ActionForward execute(ActionMapping mapping, ActionForm form,
								HttpServletRequest request,
								HttpServletResponse response)  {
      
      UsuarioDelegate servicioUsuarios;
      Usuario usuario;
      String login;
      SimpleDateFormat df;
      Date fechaNac=null;
	  
	  //comprobar si ya hay un usuario con ese login
	  login = request.getParameter("login");
	  servicioUsuarios = new UsuarioDelegate();
	  try {
		  usuario = servicioUsuarios.getUsuario(login);
		  //si el usuario existe, ha habido un error
		  if (usuario!=null) {
		  	 //AADIR ERROR A LISTA DE ERRORES
		  	 //DEVOLVER ACTIONMAPPING INDICANDO ERROR
		  	 return null;
		  }
		  else {
			 //crear el objeto que representa al usuario
			 usuario = new Usuario();
			 usuario.setLogin(login);
			 usuario.setPassword(request.getParameter("password1"));
			 usuario.setLocalidad(request.getParameter("localidad"));
			 usuario.setSexoCad(request.getParameter("sexo"));
			 usuario.setDescripcion(request.getParameter("descripcion"));
			 df = new SimpleDateFormat("dd/MM/yyyy");
			 fechaNac = df.parse(request.getParameter("fechaNac"));
	         usuario.setFechaNac(fechaNac);
			 //almacenar el usuario de manera persistente
			 servicioUsuarios.crearUsuario(usuario);
			 //DEVOLVER UN ACTIONMAPPING INDICANDO QUE TODO HA IDO BIEN
			 return null;           
		  }
	      								
	  }
	  catch(Exception e) {
		//AADIR ERROR A LISTA DE ERRORES
		//DEVOLVER ACTIONMAPPING INDICANDO ERROR
	  	return null;
	  }								
	  
   }
 
}
