package amigosStruts.negocio;

import amigosStruts.beans.Usuario;
import amigosStruts.datos.UsuarioBD;
import amigosStruts.AmigosStrutsException;

public class UsuarioDelegate {
	public Usuario getUsuario(String login) throws AmigosStrutsException {
	   Usuario usuario;
	   UsuarioBD datosUsuarios;

	   datosUsuarios = new UsuarioBD();
	   usuario = datosUsuarios.buscar(login);
     
	   return usuario;
	}

	public void crearUsuario(Usuario usuario) throws AmigosStrutsException {
	   UsuarioBD datosUsuarios;

	   datosUsuarios = new UsuarioBD();
	   datosUsuarios.crearUsuario(usuario);
	}

	public Usuario[] buscar(int edadMin, int edadMax,
	                        String localidad, int sexo) throws AmigosStrutsException {
	   UsuarioBD datos;

	   datos = new UsuarioBD();
	   return datos.buscar(edadMin, edadMax, localidad, sexo);    
	}
   	
	
	
}